Web lists-archives.com

Re: Qt 5.6LTS vs 5.7+




On Saturday September 03 2016 18:02:42 Duncan wrote:

Thanks Duncan,


>Some plasma components in particular already have had commits bumping to 
>qt-5.7 minimum.  In some cases they were reverted, but I don't believe 
>all of them have been.

That's more or less what I was a bit afraid of. I do have some questions about the whole idea of having a LTS Qt release, much as I'd love not having to worry about updating such a central bit of code every few months. However, I also think something like KF5 Plasma shouldn't have the latest Qt version as a minimum requirement. But that's just me, I'm not the kind of dev who's always ready to pounce on each and every new gimmick ;)

>allowing stand-alone apps to be able to update frameworks requirements 
>while sticking with qt-5.6 LTS minimums.  

All hail ...

R.